{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}
Authorizations
Authorization
string
header
required
Scopes
read
write
Path Parameters
projectKey
string<string>
required
The project key
featureFlagKey
string<string>
required
The feature flag key
environmentKey
string<string>
required
The environment key
id
string<string>
required
The feature flag approval request ID
Response
Approval request response
_id
string
required
The ID of this approval request
Example:
"12ab3c45de678910abc12345"
_version
integer
required
Version of the approval request
Example:
1
creationDate
integer<int64>
required
Timestamp of when the approval request was created
Example:
"1654104600000"
serviceKind
string
required
The approval service for this request. May be LaunchDarkly or an external approval service, such as ServiceNow or JIRA.
Example:
"launchdarkly"
reviewStatus
enum<string>
required
Current status of the review of this approval request
Available options:
approved,
declined,
pending
Example:
"pending"
allReviews
object[]
required
An array of individual reviews of this approval request
Show child attributes
notifyMemberIds
string[]
required
An array of member IDs. These members are notified to review the approval request.
Example:
["1234a56b7c89d012345e678f"]
status
enum<string>
required
Current status of the approval request
Available options:
pending,
completed,
failed,
scheduled
Example:
"pending"
instructions
object[]
required
List of instructions in semantic patch format to be applied to the feature flag
Show child attributes
Example:
"[{\"kind\": \"turnFlagOn\"}]"
conflicts
object[]
required
Details on any conflicting approval requests
Show child attributes
_links
object
required
The location and content type of related resources
Show child attributes
requestorId
string
The ID of the member who requested the approval
Example:
"12ab3c45de678910abc12345"
description
string
A human-friendly name for the approval request
Example:
"example: request approval from someone"
notifyTeamKeys
string[]
An array of team keys, if teams were specified when the approval request was created. The members of these teams are listed in notifyMemberIds, resolved when the request was made. Team membership may have changed since then.
Example:
["example-reviewer-team"]
appliedDate
integer<int64>
Timestamp of when the approval request was applied
Example:
"1654104600000"
appliedByMemberId
string
The member ID of the member who applied the approval request
Example:
"1234a56b7c89d012345e678f"
appliedByServiceTokenId
string
The service token ID of the service token which applied the approval request
Example:
"1234a56b7c89d012345e678f"
executionDate
integer<int64>
Timestamp for when instructions will be executed
Example:
"1654104600000"
operatingOnId
string
ID of scheduled change to edit or delete
Example:
"12ab3c45de678910abc12345"
integrationMetadata
object
Details about the object in an external service corresponding to this approval request, such as a ServiceNow change request or a JIRA ticket, if an external approval service is being used
Show child attributes
source
object
Details about the source feature flag, if copied
Show child attributes
customWorkflowMetadata
object
Details about the custom workflow, if this approval request is part of a custom workflow